#include "system_calls.h"
#include "threads/thread.h"

void syscall_exit(struct intr_frame *status) {
	struct thread *current_thread;	// creates thread struct from thread.h
	current_thread = thread_current(); // Sets current thread

	current_thread->status = status; // Returning status to kernel
	thread_exit(); // Exiting current thread
	return -1; // Returning -1 for success
}
